Ubuntu

[Lucid]Sudden drop of connecton speed with Broadcom card

Reported by jhoechtl on 2010-05-17
200
This bug affects 36 people
Affects Status Importance Assigned to Milestone
Broadcom 802.11 Linux STA driver
Confirmed
Undecided
Unassigned
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by Eric Appleman
Nominated for Maverick by Eric Appleman

Bug Description

After some time (within minutes) the internet connection drops considerably. Manually disabling and enabling WiFi always helps.

While I have this particular broadcom driver in use it might not be related to this driver at all as so many people face WiFi network connection speed.

cf: http://ubuntuforums.org/showthread.php?t=1486129

Johann

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: bcmwl-kernel-source 5.60.48.36+bdcom-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic x86_64
NonfreeKernelModules: wl nvidia
Architecture: amd64
Date: Mon May 17 22:22:12 2010
InstallationMedia: Kubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427)
ProcEnviron:
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: bcmwl

jhoechtl (johann-hoechtl) wrote :
jhoechtl (johann-hoechtl) wrote :

should have been "network connection speed" instead of "Internet connection" ... the connection remains active!

jhoechtl (johann-hoechtl) wrote :

I gathered information on some threads in ubuntuforums that disabling and re-enabling, as long as a re-associate event happens, helps to bring back speed to normal.

CF: http://ubuntuforums.org/showthread.php?p=9325026

I consider this a WiFi subsystem or kernel regression or issue. Please also assign to appropriate

Brian (kravitz-brian) wrote :

I think I might be having this problem. I'm using the rt73usb driver, though.

Mathias (mathias-me) wrote :

It affects me too, I am having the Intel 3945ABG Chipset, using the iwl3945 chipset. Can I provide you anyhow some more information to get hold on this issue ?

Mathias (mathias-me) wrote :

Tried the solution explained here: http://edtake.wordpress.com/2010/05/04/ubuntu-slow-wireless-after-upgrading-to-10-04/
Did not work out for me. It seems to me that everytime the load on the wlan link rises the latency goes up as well. Max latency I have seen is around 800ms, average around 400ms. When the interface comes up the latency is fine at 1-10ms.

jhoechtl (johann-hoechtl) wrote :

Yes, following http://edtake.wordpress.com/2010/05/04/ubuntu-slow-wireless-after-upgrading-to-10-04/ didn't helped either, in contrary, I completely lost my eth1 wlan port, but purging linux-backports-modules-wireless-lucid-generic helped.

BTW: According to the wifi mailing list this regression was introduced actually in Sept 2009 by fixing an rt2500pci bug which led to a rewrite of some parts of the wifi kernel stack. The rewritten parts are a common code path of some drivers and as such the problem is persistent for many hardware types. I couldn't identify a more fitting launchpad bug and

* there is no work around
* nobody with insight made a blog post yet describing the problem in more detail
* activating pre-release packages in ubuntu makes no difference; there is no fix, not even an untested
but
* work on the wifi mainling list is ongoing and there are success reports.

Andrey Zhekov (x3ro.daemon) wrote :

I think it not only Broadcom issue. I have Intel 3945 and with 10.04 Lynx I also started to have very slow speed rates.

Here's my issue:
https://bugs.launchpad.net/ubuntu/+bug/587454

Andrey Zhekov (x3ro.daemon) wrote :

I found some solutions here: http://edtake.wordpress.com/2010/05/04/ubuntu-slow-wireless-after-upgrading-to-10-04/

It it will help I'll write it down

Changed in bcmwl (Ubuntu):
status: New → Confirmed

Same problem here with HP Pavilion dv2175ea.
Intel® PRO/Wireless 3945 802.11a/b/g;
When I have installed Ubuntu 10.04LTS everythink was exelent, after system update, there showed up this problem.
When I connect to my wifi router, download speed is about ~500KB/s, after some time it drops to ~100KB/s. Helps only network reconnect.

P.S. Sorry for bad english.

Jaack (slytheer) wrote :

I have the same problem with my Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02).
I have a 6Mbit/s internet, but on Ubuntu 10.04 LTS the speed reaches max 120kB/s.
Also the wireless connection drops sometimes but reconnects immediately.
Also ping to websites such as google.com is huge (600ms - 900ms)!
I've tested the linux-backports-modules-wireless-lucid-generic package, but it doesn't solve any of this problems ;/

On widnows wifi works fine, ping ~20ms, speed ~700kB/s (depends on serwer).

Mathias (mathias-me) wrote :

I have deactivated WPA2 (activated WPA1) on my router and since then the ping-latency did not rise that much (at least the last hour). The latency goes up to 250ms max and drops immediately back to below 10ms. Can someone verify that too?

I think Ubuntu is already friendly Linux distro, it's time to fix some bugs, not just release new version bugg'ed like olders.

Andre Derraik (aderraik) wrote :

Hi, I have the same problem. At 9.10 everything works fine.
But at 10.04, my onboard don't work anymore!
I need to plug an external one.
But even it still VERY slow and inconstant..

Laptop: Toshiba Satellite 5105-S701
Onboard: Texas Instruments PCI1410 PC card Cardbus Controller (rev 01)
Plugged: USB Realtek Semiconductor Corp. RTL8187B Wireless 802.11g 54Mbps Network Adapter

Any help??

Andre Derraik (aderraik) wrote :

Hi again.
I just made an kernel update: linux-image-2.6.32-22-generic_2.6.32-22.36_i386.deb
But the problem still the same. Bad wireless.

For the records:
I work with a Sony Vaio CGN-SZ330P and works fine!
Onboard: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

Andrey Zhekov (x3ro.daemon) wrote :

the prob is that the issue is not only Ubuntu related, I have the same in Archlinux.

With the intel 3945 I have about 30 seconds on full rate speed 700KBytes/sec and then it rapidly slows down to 100-130Kbytes/sec and never returns back to normal.

Andrey Zhekov (x3ro.daemon) wrote :

it seems like a kernel or kernel drivers problem

description: updated
Andre Derraik (aderraik) wrote :

Hi Andrei,
Strange... At my Vaio, the wireless works fine.
No lost connection and stay stable.
Even the same wireless board of yours.

I have found bug fix for OpenSuse:http://www.susegeek.com/opensuse-110/intel-3945-abg-wireless-problem-in-opensuse-110/
Will it work on Ubuntu too?

Christopher Foltz (h0rnman) wrote :

I am also having similar issues that seem to be somewhat mitigated by disabling wireless, turning off power management, then turning wireless back on. However, that being said, I am still seeing outrageous latency (generally .9ms - 2.5ms, but spiking up to 300ms for several trips) on connections to my local (192.168.*.*) network which happens in both Auto DHCP and Manual Settings modes.

Christopher Foltz (h0rnman) wrote :

Perhaps it would be more helpful if I mentioned that I am on Ubuntu Lucid (10.04) using the rt73usb driver for my wireless card, and that I did not experience any of these issues under Karmic (9.10) using the same card.

Andre Derraik (aderraik) wrote :

Hi!
Following the tip from Rytis, I reach at http://linuxwireless.org
Where I found that exist at Synaptic the package:

linux-backports-modules-wireless-lucid-generic

When I installed, the Plugged USB Realtek wireless, now works fine!
But the onboard, disappear. Even from the lspci command...

harlandmctavish (harland-mct) wrote :

Same issue here after updating to 10.04. This is happening on two completely different laptops.

Laptop 1. ibook G4 Ubuntu 10.4 for ppc
Laptop 2. hp dv6 2130ca ubuntu 10.4

Both laptops have broadcom cards, but wireless in both is fine under 9.10, windows or mac osx.

Back to 9.10 until issue is fixed unfortunately, as I use my computer on the road a lot. Seems like a rather big bug to have slipped into an LTS release.

All the best finding the solution.

jaleo (leonuho) wrote :

Same problem on my HP nx9420 with Ubuntu 10.04 (Linux ameise 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 22:02:19 UTC) 2010 i686 GNU/Linux

10:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

I installed the package: linux-backports-modules-wireless-lucid-generic, but it doesn't work.
At first, the speed is ok (500-800kB/s) after some seconds/minutes i've speed of 100-120kB/s.

Best

summary: - Sudden drop of connecton speed
+ [Lucid]Sudden drop of connecton speed (iwl3945 & Broadcom issue)
Changed in linux:
importance: Unknown → Undecided
status: Unknown → New
status: New → Incomplete

The problem persists with the latest update to 2.6.32-23-generic #37-Ubuntu SMP Fri Jun 11 08:03:28 UTC 2010 x86_64 GNU/Linux

What information does it require to change from status "Incomplete?"

Andrey Zhekov (x3ro.daemon) wrote :

@jhoechtl - I've openned a ticket on the Kernel bug tracker - but I think they need more information and they didn't answered me what more info I must add to that description.

Andrey Zhekov (x3ro.daemon) wrote :

It's really annoying bug because it's the only reason I'm sticked for the moment with Win7

Changed in broadcom-sta:
status: New → Confirmed
Changed in linux:
importance: Undecided → Unknown
status: Incomplete → Unknown
Andrey Zhekov (x3ro.daemon) wrote :
Changed in archlinux:
importance: Unknown → Undecided
status: Unknown → New
Andrey Zhekov (x3ro.daemon) wrote :

ArchLinux member decided that from their side everything is OK. I'm not agree with them but the ticket is now closed there.

Changed in archlinux:
status: New → Opinion
Eric Appleman (erappleman) wrote :

I wish Rashif would've elaborated in a comment.

Chris Morris (chriswillmorris) wrote :

I also get this issue with 10.04 using an Acer Aspire 1810TZ.

jhoechtl (johann-hoechtl) wrote :

What does "nominated for Maverick" mean? That this is bug is confirmed to be present in Maverick too?
If not, has anybody already tried if it works for Maverick? As I'm pretty sure it's a kernel regression I am not too confident that this bug will ever be fixed for Lucid, albeit it is LTS.

robbanl (robert-lindberg1978) wrote :

I don't know if this can help someone else but it did remove the problem for me. I had this problem on both my Samsung nc10 and my Lenovo laptop running Ubuntu 10.04. All i did was enable Ubuntu-backports and Lucid proposed, updated all packages and made a reboot. Now my problem is gone, I don't know which of the updated packages did the trick but it worked for me on both of my computers.

On 08/13/2010 01:05 PM, robbanl wrote:
> All i did was enable Ubuntu-backports and Lucid
> proposed, updated all packages and made a reboot. Now my problem is
> gone, I don't know which of the updated packages did the trick but it
> worked for me on both of my computers.
>
>
Can you still confirm this as a fix? I enabled backports (which gave me
an update to k3b) and lucid proposed (which, basically, installed a new
X-org server)

Yes, the connection was fast for half an hour, but after that it's back
to unaccaptalbe slow.

This was no fix for me!

Belkin F5D8231-4_WW_2.01.27
HP 6782eg with Broadcom BCM4328 802.11a/b/g/n (rev 03)

Problem is still persistent in the latest Maverick Meerkat Alpha

Fábio Custódio (flclncc) wrote :

I'm almost positive that

sudo iwconfig wlan0 power off

fixed it for me.

Please re-assure it after you left it idle for a while (half an hour)

This "fix" has been posted long back and didn't help me!

On 8/17/10, Fábio Custódio <email address hidden> wrote:
> I'm almost positive that
>
> sudo iwconfig wlan0 power off
>
> fixed it for me.
>
> --
> [Lucid]Sudden drop of connecton speed (iwl3945 & Broadcom issue)
> https://bugs.launchpad.net/bugs/581936
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I have found a permanent solution ... albeit it is no fix for others ;)

The story is lengthy and should probably go to a blog but there it would lack the context, so I put it here.

I recently upgraded my HTC Desire to Android 2.2 and found out that the device couldn't obtain an IP any more. I dove into different forums and found, that the linux kernel of Android 2.2 has issues with _certain_ routers resp. the driver of the chipset. I went to a public WIFI point and WIFI on the Android 2.2 was fine.

I borrowed a friends "spare" WIFI router and ... guess what ... Android 2.2 WIFI worked _and_ my speed issues with WIFI in Ubuntu 10.04 are gone too!

I consider this a very mysterious bug, I attribute it to a combination of old Linux wlan stack in my router vs. newer stack in Ubuntu 10.04 (openswan?) and the wl driver. The received packets of the router, faulty or not, triggered a slowdown in the WIFI connection of the laptop.

BTW. the connection between my router and and the laptop is now of "N"-Type, 2.4GHz, while before it was of 802.11g type.

I will investigate if speed remains also stable in "G" - mode.

Oleksiy Krivoshey (oleksiyk) wrote :

Looks like setting a fixed rate on the _router_ fixes the problem for me. While it is set to 'auto' the connection speed drops to 1mb/s after some time but since I set it to 36M fixed on my dlink router the speed remains fast. Setting fixed rate with iwconfig didn't work. Looks like a rate control algorithm problem in the driver, but who knows.

p.s. i got dell latitude d830 with intel 3945, ubuntu 10.04 with backports enabled

Derek Dolney (nospam-dolney) wrote :

I experienced this issue on gentoo. I eventually figured out that it was caused by power management for the wireless device. Check whether your kernel was built with CONFIG_CFG80211_DEFAULT_PS. I can transfer data all night without the speed drop if I disable this option.

As an alternative to rebuilding your kernel, there may be a boot option to disable power management, or you can try iwconfig wlan0 power off, but I get "Operation not supported" with iwconfig and I'm not sure why.

Eric Appleman (erappleman) wrote :

I hope the people that read this bug have some perspective on how serious things are.

Maverick will be the SIXTH release plagued by this issue.

The bug is still a problem here.

On 9/17/10, Eric Appleman <email address hidden> wrote:
> I hope the people that read this bug have some perspective on how
> serious things are.
>
> Maverick will be the SIXTH release plagued by this issue.
>
> --
> [Lucid]Sudden drop of connecton speed (iwl3945 & Broadcom issue)
> https://bugs.launchpad.net/bugs/581936
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Adam Yeager

Problem exists here too on a HP dv9088EA running Maverick beta.

From lspci here's the hardware..

    02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

My router is already set to G only and I've tried fiddling with the MTU, rate and power settings.

Here's the speeds as measured by the broadbandspeedtester.

    eth0

    Download speed 4543 Kbps
    Upload speed 719 Kbps

    wlan0

    Download speed 507 Kbps
    Upload speed 192 Kbps

Now the really odd thing in the mix is that my work laptop is an IBM T60 running Lucid (I will attempt to try Lucid on the HP if time permits) and that works perfectly at full speed.

Here's the lspci from that machine:

    03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

I failed to get ndiswrapper working.

This is all very disappointing as I really want to use maverick on this machine (boots in 15 seconds on a seagate momentus xt).

Nick B. (futurepilot) wrote :

I just upgraded my HP dv6500t laptop to Maverick and ran into this bug. I have never had this problem with any previous release. I usually get 15+ mbps from the internet. After upgrading to Maverick and running a speed test I'm only getting 1-1.5 mbps over wireless. Even LAN file transfers are painfully slow. I'm getting a pretty consistent 40KB/s transfer to my NFS server. One thing I noticed is that whenever this laptop connects to my router (WRT54GS running DD-WRT) the router reports the rate as 5.5mbps and sometimes even 2mbps. If I disconnect the laptop it jumps back up to 36 or 48mbps. There is definitely something weird going on with the way it interacts with the router, causing the rate to drop to extremely low levels.

02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
 Subsystem: Hewlett-Packard Company Device 135b
 Flags: bus master, fast devsel, latency 0, IRQ 47
 Memory at f4000000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: [c8] Power Management version 2
 Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
 Capabilities: [e0] Express Legacy Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Kernel driver in use: iwl3945
 Kernel modules: iwl3945

Eric Appleman (erappleman) wrote :

Max speeds over time using Live USB sessions

Gutsy (ipw3945): 24 Mbps
Karmic (iwl3945): 16 Mbps
Lucid (iwl3945): 16 Mbps
Maverick (iwl3945): 1-3 Mbps
Natty (iwl3945): 1-3 Mbps
Natty (ndiswrapper): 24 Mbps

Not sure if this is related but after messing around with /etc/resolv.conf and refreshing the internet adapters (which also reset the resolv.conf) after attempting to install updates (sudo apt-get upgrade) I got this error;
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
After running that command, the updates installed, some of which I thought never downloaded completely. I haven't had any further updates to test if this is a perminant fix but its still worth trying.

Sorry forgot to mention that my connection is wired, not wireless, but it still might work.

description: updated
summary: - [Lucid]Sudden drop of connecton speed (iwl3945 & Broadcom issue)
+ [Lucid]Sudden drop of connecton speed with Broadcom card
tags: added: needs-kernel-logs needs-upstream-testing
affects: bcmwl (Ubuntu) → linux (Ubuntu)

jhoechtl, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
affects: archlinux → broadcom-sta (Ubuntu)
Changed in broadcom-sta (Ubuntu):
status: Opinion → New
no longer affects: broadcom-sta (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.